groups

5 endpoints
GET/rest/groups

List Kiteworks groups

Description:

Returns the list of Kiteworks groups for the current user, including the email address of each member in the group.

Precondition:

User must be authenticated.

Response:

Returns the list of groups.
Parameters
Query Parameters
name
Optional
string

Filter results by the exact group name.

name:contains
Optional
string

Filter results to groups whose names contain the specified characters.

orderBy
Optional
string

Sort order for the results. Default is name:asc.
Allowed values: id:asc, id:desc, name:asc, name:desc.

limit
Optional
integer

Maximum number of groups to return.

offset
Optional
integer

Number of groups to skip before returning results, for pagination.


Responses

The groups list has been successfully returned.

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

id
integer

Unique identifier of the contact.

userId
string
name
string

Display name of the contact.

created
string

Date and time when the contact was created.

modified
string

Date and time when the contact was last modified.

lastContactDate
string

Date and time of the most recent interaction with this contact.

email
string

Email address of the contact.

isDistributionList
boolean

Indicates whether the contact is a distribution list.

profileIcon
string

URL or identifier of the contact's profile icon.

Bad Request

Possible error codes: ERR_REQUEST_INVALID_FILTER

code
string

Error code

message
string

Error message

Unauthorized

Possible error codes: ERR_ACCESS_USER, ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/groups" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/groups"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "metadata": {}, "data": [ { "id": 1, "userId": "string", "name": "string", "created": "2024-01-15", "modified": "2024-01-15", "lastContactDate": "2024-01-15" } ] }
{ "errors": [ { "code": "ERR_REQUEST_INVALID_FILTER", "message": "Filter validation failed" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
// Error - No Body
POST/rest/groups

Create a group entry

Description:

Creates a new Kiteworks group of users.

Precondition:

User must be authenticated.

Response:

Returns the newly created group.
Request Body
name
Required
string

The name of the group.

items
Required
GroupEmail[]

List of group members, each specified by their email address. At least one member is required.


Responses

The group has been successfully created.

id
integer

Unique identifier of the contact.

userId
string
name
string

Display name of the contact.

created
string

Date and time when the contact was created.

modified
string

Date and time when the contact was last modified.

lastContactDate
string

Date and time of the most recent interaction with this contact.

email
string

Email address of the contact.

isDistributionList
boolean

Indicates whether the contact is a distribution list.

profileIcon
string

URL or identifier of the contact's profile icon.

Unauthorized

Possible error codes: ERR_ACCESS_USER, ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Conflict

Possible error codes: ERR_ENTITY_EXISTS

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/groups" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "name": "string",
         "items": [
         {
         "email": "string"
       }
       ]
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/groups"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "name": "string",
  "items": [
  {
  "email": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": 1, "userId": "string", "name": "string", "created": "2024-01-15", "modified": "2024-01-15", "lastContactDate": "2024-01-15" }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ENTITY_EXISTS", "message": "Entity exists" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
GET/rest/groups/{id}

Return users for the specified group

Description:

Returns the list of users for the specified group.

Precondition:

User must be authenticated.

Response:

Returns the group details including its members.
Parameters
Path Parameters
id
Required
integer

The unique identifier of the entity.


Responses

The group has been successfully returned.

id
integer

Unique identifier of the contact.

userId
string
name
string

Display name of the contact.

created
string

Date and time when the contact was created.

modified
string

Date and time when the contact was last modified.

lastContactDate
string

Date and time of the most recent interaction with this contact.

email
string

Email address of the contact.

isDistributionList
boolean

Indicates whether the contact is a distribution list.

profileIcon
string

URL or identifier of the contact's profile icon.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/groups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/groups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 1, "userId": "string", "name": "string", "created": "2024-01-15", "modified": "2024-01-15", "lastContactDate": "2024-01-15" }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
// Error - No Body
PUT/rest/groups/{id}

Update a group entry

Description:

Updates the specified group's name and members.

Precondition:

User must be the owner of the group.

Response:

The group is updated.
Parameters
Path Parameters
id
Required
integer

The unique identifier of the entity.


Responses

The group has been successfully updated.

Empty response body.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Conflict

Possible error codes: ERR_ENTITY_EXISTS

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/groups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/groups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.put(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_EXISTS", "message": "Entity exists" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
DELETE/rest/groups/{id}

Delete a group entry

Description:

Deletes the specified group.

Precondition:

User must be the owner of the group.

Response:

The group is deleted.
Parameters
Path Parameters
id
Required
integer

The unique identifier of the entity.


Responses

The group has been successfully deleted.

Empty response body.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/groups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/groups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
// Error - No Body